Skip to main content
GET
/
api
/
reports
/
journal
Journal report
curl --request GET \
  --url https://api.example.com/api/reports/journal \
  --header 'Authorization: <authorization>' \
  --header 'accept: <accept>' \
  --header 'organization-id: <organization-id>'
{
  "query": {
    "fromDate": "<string>",
    "toDate": "<string>",
    "accountsIds": [
      123
    ],
    "numberFormat": {},
    "fromRange": 123,
    "toRange": 123
  },
  "data": [
    {
      "date": "<string>",
      "dateFormatted": "<string>",
      "transactionType": "<string>",
      "referenceId": 123,
      "referenceTypeFormatted": "<string>",
      "entries": [
        {
          "index": 123,
          "accountName": "<string>",
          "accountCode": "<string>",
          "formattedCredit": "<string>",
          "formattedDebit": "<string>",
          "credit": 123,
          "debit": 123,
          "note": "<string>",
          "contactName": "<string>",
          "contactType": "<string>",
          "transactionNumber": "<string>"
        }
      ],
      "credit": 123,
      "debit": 123,
      "formattedCredit": "<string>",
      "formattedDebit": "<string>"
    }
  ],
  "meta": {
    "organizationName": "<string>",
    "baseCurrency": "<string>",
    "dateFormat": "<string>",
    "isCostComputeRunning": true,
    "sheetName": "<string>",
    "formattedFromDate": "<string>",
    "formattedToDate": "<string>",
    "formattedDateRange": "<string>"
  }
}

Headers

Authorization
string
required

Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.

Example:

"Bearer bc_1234567890abcdef"

organization-id
string
required

Required if Authorization is a JWT token. The organization ID to operate within.

accept
string
required

Query Parameters

noCents
boolean

Whether to hide cents in the number format

Example:

false

divideOn1000
boolean

Whether to divide numbers by 1000

Example:

false

transactionType
string

Type of transaction to filter

Example:

"payment"

transactionId
string

ID of the transaction to filter

Example:

"TXN-12345"

fromRange
number

Start range for filtering

Example:

100

toRange
number

End range for filtering

Example:

200

Response

Journal report

query
object
required

Query parameters used to generate the report

data
object[]
required

Journal transactions

meta
object
required

Report metadata